Bug 38369 - rpm complains
rpm complains
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-30 02:57 EDT by Ari Inki
Modified: 2007-04-18 12:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-30 04:24:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ari Inki 2001-04-30 02:57:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2 i686)


After (e.g.) 'rpm -qa' command, on the last line, rpm complains
"memory alloc (28 bytes) returned NULL." This seems to also affect
up2date operations, up2date also crashes and reports the same "memory alloc
(28 bytes) returned NULL.". 

It might be that the RPM database is somehow corrupted, at some point I
remember having two instances of one package when doing 'rpm -qa', I
managed to remove all of the instances, but it might be that the database
is still broken. I tried doing 'rpm --rebuilddb', no use, problem persists.

Reproducible: Always
Steps to Reproduce:
1. rpm -qa
2. or, try to use up2date

	

Actual Results:  "memory alloc (28 bytes) returned NULL."


Expected Results:  no error messages
Comment 1 Daniel Roesen 2001-04-30 04:22:05 EDT
Where is the security problem?
Comment 2 Ari Inki 2001-04-30 04:24:31 EDT
DoS. Security updates available through up2date cannot be applied since
up2date does not work. Denial of Service.
Comment 3 Jeff Johnson 2001-05-06 09:47:54 EDT
The error message indicates that malloc is failing. This is usually not
an rpm problem. rpm prints an error message and exits rather than segfaulting
when malloc returns a NULL pointer.

You might look carefully at your kernel, as there have been known file system
corruption problems in early 2.4 kernels that show up as rpm database corruption
problems.

Marking as NOTABUG because I don't see a problem with rpm exiting because
malloc returns a NULL pointer rather than segfaulting, and the real problem
is that malloc is returning a NULL pointer for reasons unknown.

Note You need to log in before you can comment on or make changes to this bug.